Bug 742583 - konsole with terminus font cuts off descenders of characters
Summary: konsole with terminus font cuts off descenders of characters
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole
Version: 16
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch, Reopened
: 760015 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-30 16:04 UTC by Jeff Bastian
Modified: 2013-10-04 00:21 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-11 20:51:06 UTC


Attachments (Terms of Use)
screenshot of konsole with terminus font (25.17 KB, image/png)
2011-09-30 16:04 UTC, Jeff Bastian
no flags Details
screenshot of bug in konsole compared to gnome-terminal (77.23 KB, image/png)
2011-11-10 09:22 UTC, Kyle Liddell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 280896 None None None Never
KDE Software Compilation 284881 None None None Never

Internal Trackers: 1069065

Description Jeff Bastian 2011-09-30 16:04:32 UTC
Created attachment 525796 [details]
screenshot of konsole with terminus font

Description of problem:
konsole-4.7.0 is cutting off the bottoms of characters like q and g and p when using the terminus (9pt) font in Fedora 16 Alpha.  See the attached screenshot.

Also note that the konsole cursor is higher than the font baseline in the screenshot.

For what it's worth, kwrite-4.7.0 with terminus fonts looks okay

Version-Release number of selected component (if applicable):
konsole-4.7.0-1.fc16.i686
terminus-fonts-4.36-1.fc16.noarch
terminus-fonts-console-4.36-1.fc16.noarch
kwrite-4.7.0-2.fc16.i686
qt-4.8.0-0.11.beta1.fc16.i686

How reproducible:
every time

Steps to Reproduce:
1. configure konsole profile to use Terminus 9pt font
2. type letters with descenders: qypgj
  
Actual results:
descenders are cut off

Expected results:
descenders are visible (so q is distinguishable from g)

Additional info:

Comment 1 Kyle Liddell 2011-11-10 09:19:27 UTC
I'm using the released version of F16, and I'm having trouble with konsole fonts too.  However, I'm seeing the bug even with other fonts and sizes.  I've also tried toggling the "Smooth fonts" and "Draw intense colors in bold font" options.  Changing these settings will sometimes allow more of the character descenders to be visible, but it's never quite right.  I will attach a screenshot showing the bug with a different font, and with correct behavior in gnome-terminal.

Comment 2 Kyle Liddell 2011-11-10 09:22:14 UTC
Created attachment 532765 [details]
screenshot of bug in konsole compared to gnome-terminal

Comment 3 Jeff Bastian 2011-11-10 13:16:13 UTC
One workaround suggested by the upstream bug is to "Enable Bi-Directional text rendering" under the Advanced tab of the Konsole profile settings.

Comment 5 Kevin Kofler 2011-12-05 12:19:50 UTC
*** Bug 760015 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2011-12-05 13:44:57 UTC
kdeedu-4.7.4-1.fc16, kdegames-4.7.4-1.fc16, kdegraphics-4.7.4-1.fc16, kdegraphics-strigi-analyzer-4.7.4-1.fc16, kdegraphics-thumbnailers-4.7.4-1.fc16, kdelibs-4.7.4-1.fc16, kdemultimedia-4.7.4-1.fc16, kdenetwork-4.7.4-1.fc16, kdepim-4.7.4-1.fc16, kdepim-runtime-4.7.4-1.fc16, kdepimlibs-4.7.4-1.fc16, kdeplasma-addons-4.7.4-1.fc16, PyKDE4-4.7.4-1.fc16, blinken-4.7.4-1.fc16, cantor-4.7.4-1.fc16, gwenview-4.7.4-1.fc16, kalgebra-4.7.4-1.fc16, kalzium-4.7.4-1.fc16, kamera-4.7.4-1.fc16, kanagram-4.7.4-1.fc16, kate-4.7.4-1.fc16, kbruch-4.7.4-1.fc16, kcolorchooser-4.7.4-1.fc16, kde-wallpapers-4.7.4-1.fc16, kdeaccessibility-4.7.4-1.fc16, kdeadmin-4.7.4-1.fc16, kdeartwork-4.7.4-1.fc16, kdebase-4.7.4-1.fc16, kdebase-runtime-4.7.4-1.fc16, kdebase-workspace-4.7.4-1.fc16, kdesdk-4.7.4-1.fc16, kdetoys-4.7.4-1.fc16, kdeutils-4.7.4-1.fc16, kgamma-4.7.4-1.fc16, kgeography-4.7.4-1.fc16, khangman-4.7.4-1.fc16, kig-4.7.4-1.fc16, kiten-4.7.4-1.fc16, klettres-4.7.4-1.fc16, kmplot-4.7.4-1.fc16, kolourpaint-4.7.4-1.fc16, konsole-4.7.4-1.fc16, kross-interpreters-4.7.4-1.fc16, kruler-4.7.4-1.fc16, ksaneplugin-4.7.4-1.fc16, ksnapshot-4.7.4-1.fc16, kstars-4.7.4-1.fc16, ktouch-4.7.4-1.fc16, kturtle-4.7.4-1.fc16, kwordquiz-4.7.4-1.fc16, libkdcraw-4.7.4-1.fc16, libkdeedu-4.7.4-1.fc16, libkexiv2-4.7.4-1.fc16, libkipi-4.7.4-1.fc16, libksane-4.7.4-1.fc16, marble-4.7.4-1.fc16, okular-4.7.4-1.fc16, oxygen-icon-theme-4.7.4-1.fc16, parley-4.7.4-1.fc16, rocs-4.7.4-1.fc16, smokegen-4.7.4-1.fc16, smokekde-4.7.4-1.fc16, smokeqt-4.7.4-1.fc16, step-4.7.4-1.fc16, svgpart-4.7.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyKDE4-4.7.4-1.fc16,blinken-4.7.4-1.fc16,cantor-4.7.4-1.fc16,gwenview-4.7.4-1.fc16,kalgebra-4.7.4-1.fc16,kalzium-4.7.4-1.fc16,kamera-4.7.4-1.fc16,kanagram-4.7.4-1.fc16,kate-4.7.4-1.fc16,kbruch-4.7.4-1.fc16,kcolorchooser-4.7.4-1.fc16,kde-wallpapers-4.7.4-1.fc16,kdeaccessibility-4.7.4-1.fc16,kdeadmin-4.7.4-1.fc16,kdeartwork-4.7.4-1.fc16,kdebase-4.7.4-1.fc16,kdebase-runtime-4.7.4-1.fc16,kdebase-workspace-4.7.4-1.fc16,kdeedu-4.7.4-1.fc16,kdegames-4.7.4-1.fc16,kdegraphics-4.7.4-1.fc16,kdegraphics-strigi-analyzer-4.7.4-1.fc16,kdegraphics-thumbnailers-4.7.4-1.fc16,kdelibs-4.7.4-1.fc16,kdemultimedia-4.7.4-1.fc16,kdenetwork-4.7.4-1.fc16,kdepim-4.7.4-1.fc16,kdepim-runtime-4.7.4-1.fc16,kdepimlibs-4.7.4-1.fc16,kdeplasma-addons-4.7.4-1.fc16,kdesdk-4.7.4-1.fc16,kdetoys-4.7.4-1.fc16,kdeutils-4.7.4-1.fc16,kgamma-4.7.4-1.fc16,kgeography-4.7.4-1.fc16,khangman-4.7.4-1.fc16,kig-4.7.4-1.fc16,kiten-4.7.4-1.fc16,klettres-4.7.4-1.fc16,kmplot-4.7.4-1.fc16,kolourpaint-4.7.4-1.fc16,konsole-4.7.4-1.fc16,kross-interpreters-4.7.4-1.fc16,kruler-4.7.4-1.fc16,ksaneplugin-4.7.4-1.fc16,ksnapshot-4.7.4-1.fc16,kstars-4.7.4-1.fc16,ktouch-4.7.4-1.fc16,kturtle-4.7.4-1.fc16,kwordquiz-4.7.4-1.fc16,libkdcraw-4.7.4-1.fc16,libkdeedu-4.7.4-1.fc16,libkexiv2-4.7.4-1.fc16,libkipi-4.7.4-1.fc16,libksane-4.7.4-1.fc16,marble-4.7.4-1.fc16,okular-4.7.4-1.fc16,oxygen-icon-theme-4.7.4-1.fc16,parley-4.7.4-1.fc16,rocs-4.7.4-1.fc16,smokegen-4.7.4-1.fc16,smokekde-4.7.4-1.fc16,smokeqt-4.7.4-1.fc16,step-4.7.4-1.fc16,svgpart-4.7.4-1.fc16

Comment 7 Fedora Update System 2011-12-10 19:49:50 UTC
Package kdeedu-4.7.4-1.fc16, kdegames-4.7.4-1.fc16, kdegraphics-4.7.4-1.fc16, kdegraphics-strigi-analyzer-4.7.4-1.fc16, kdegraphics-thumbnailers-4.7.4-1.fc16, kdelibs-4.7.4-1.fc16, kdemultimedia-4.7.4-1.fc16, kdenetwork-4.7.4-1.fc16, kdepim-4.7.4-1.fc16, kdepim-runtime-4.7.4-1.fc16, kdepimlibs-4.7.4-1.fc16, kdeplasma-addons-4.7.4-1.fc16, PyKDE4-4.7.4-1.fc16, blinken-4.7.4-1.fc16, cantor-4.7.4-1.fc16, gwenview-4.7.4-1.fc16, kalgebra-4.7.4-1.fc16, kalzium-4.7.4-1.fc16, kamera-4.7.4-1.fc16, kanagram-4.7.4-1.fc16, kate-4.7.4-1.fc16, kbruch-4.7.4-1.fc16, kcolorchooser-4.7.4-1.fc16, kde-wallpapers-4.7.4-1.fc16, kdeaccessibility-4.7.4-1.fc16, kdeadmin-4.7.4-1.fc16, kdeartwork-4.7.4-1.fc16, kdebase-runtime-4.7.4-1.fc16, kdebase-workspace-4.7.4-1.fc16, kdesdk-4.7.4-1.fc16, kdetoys-4.7.4-1.fc16, kdeutils-4.7.4-1.fc16, kgamma-4.7.4-1.fc16, kgeography-4.7.4-1.fc16, khangman-4.7.4-1.fc16, kig-4.7.4-1.fc16, kiten-4.7.4-1.fc16, klettres-4.7.4-1.fc16, kmplot-4.7.4-1.fc16, kolourpaint-4.7.4-1.fc16, konsole-4.7.4-1.fc16, kross-interpreters-4.7.4-1.fc16, kruler-4.7.4-1.fc16, ksaneplugin-4.7.4-1.fc16, ksnapshot-4.7.4-1.fc16, kstars-4.7.4-1.fc16, ktouch-4.7.4-1.fc16, kturtle-4.7.4-1.fc16, kwordquiz-4.7.4-1.fc16, libkdcraw-4.7.4-1.fc16, libkdeedu-4.7.4-1.fc16, libkexiv2-4.7.4-1.fc16, libkipi-4.7.4-1.fc16, libksane-4.7.4-1.fc16, marble-4.7.4-1.fc16, okular-4.7.4-1.fc16, oxygen-icon-theme-4.7.4-1.fc16, parley-4.7.4-1.fc16, rocs-4.7.4-1.fc16, smokegen-4.7.4-1.fc16, smokekde-4.7.4-1.fc16, smokeqt-4.7.4-1.fc16, step-4.7.4-1.fc16, svgpart-4.7.4-1.fc16, kde-l10n-4.7.4-1.fc16, kdebase-4.7.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdeedu-4.7.4-1.fc16 kdegames-4.7.4-1.fc16 kdegraphics-4.7.4-1.fc16 kdegraphics-strigi-analyzer-4.7.4-1.fc16 kdegraphics-thumbnailers-4.7.4-1.fc16 kdelibs-4.7.4-1.fc16 kdemultimedia-4.7.4-1.fc16 kdenetwork-4.7.4-1.fc16 kdepim-4.7.4-1.fc16 kdepim-runtime-4.7.4-1.fc16 kdepimlibs-4.7.4-1.fc16 kdeplasma-addons-4.7.4-1.fc16 PyKDE4-4.7.4-1.fc16 blinken-4.7.4-1.fc16 cantor-4.7.4-1.fc16 gwenview-4.7.4-1.fc16 kalgebra-4.7.4-1.fc16 kalzium-4.7.4-1.fc16 kamera-4.7.4-1.fc16 kanagram-4.7.4-1.fc16 kate-4.7.4-1.fc16 kbruch-4.7.4-1.fc16 kcolorchooser-4.7.4-1.fc16 kde-wallpapers-4.7.4-1.fc16 kdeaccessibility-4.7.4-1.fc16 kdeadmin-4.7.4-1.fc16 kdeartwork-4.7.4-1.fc16 kdebase-runtime-4.7.4-1.fc16 kdebase-workspace-4.7.4-1.fc16 kdesdk-4.7.4-1.fc16 kdetoys-4.7.4-1.fc16 kdeutils-4.7.4-1.fc16 kgamma-4.7.4-1.fc16 kgeography-4.7.4-1.fc16 khangman-4.7.4-1.fc16 kig-4.7.4-1.fc16 kiten-4.7.4-1.fc16 klettres-4.7.4-1.fc16 kmplot-4.7.4-1.fc16 kolourpaint-4.7.4-1.fc16 konsole-4.7.4-1.fc16 kross-interpreters-4.7.4-1.fc16 kruler-4.7.4-1.fc16 ksaneplugin-4.7.4-1.fc16 ksnapshot-4.7.4-1.fc16 kstars-4.7.4-1.fc16 ktouch-4.7.4-1.fc16 kturtle-4.7.4-1.fc16 kwordquiz-4.7.4-1.fc16 libkdcraw-4.7.4-1.fc16 libkdeedu-4.7.4-1.fc16 libkexiv2-4.7.4-1.fc16 libkipi-4.7.4-1.fc16 libksane-4.7.4-1.fc16 marble-4.7.4-1.fc16 okular-4.7.4-1.fc16 oxygen-icon-theme-4.7.4-1.fc16 parley-4.7.4-1.fc16 rocs-4.7.4-1.fc16 smokegen-4.7.4-1.fc16 smokekde-4.7.4-1.fc16 smokeqt-4.7.4-1.fc16 step-4.7.4-1.fc16 svgpart-4.7.4-1.fc16 kde-l10n-4.7.4-1.fc16 kdebase-4.7.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16889/kde-l10n-4.7.4-1.fc16,PyKDE4-4.7.4-1.fc16,blinken-4.7.4-1.fc16,cantor-4.7.4-1.fc16,gwenview-4.7.4-1.fc16,kalgebra-4.7.4-1.fc16,kalzium-4.7.4-1.fc16,kamera-4.7.4-1.fc16,kanagram-4.7.4-1.fc16,kate-4.7.4-1.fc16,kbruch-4.7.4-1.fc16,kcolorchooser-4.7.4-1.fc16,kde-wallpapers-4.7.4-1.fc16,kdeaccessibility-4.7.4-1.fc16,kdeadmin-4.7.4-1.fc16,kdeartwork-4.7.4-1.fc16,kdebase-4.7.4-2.fc16,kdebase-runtime-4.7.4-1.fc16,kdebase-workspace-4.7.4-1.fc16,kdeedu-4.7.4-1.fc16,kdegames-4.7.4-1.fc16,kdegraphics-4.7.4-1.fc16,kdegraphics-strigi-analyzer-4.7.4-1.fc16,kdegraphics-thumbnailers-4.7.4-1.fc16,kdelibs-4.7.4-1.fc16,kdemultimedia-4.7.4-1.fc16,kdenetwork-4.7.4-1.fc16,kdepim-4.7.4-1.fc16,kdepim-runtime-4.7.4-1.fc16,kdepimlibs-4.7.4-1.fc16,kdeplasma-addons-4.7.4-1.fc16,kdesdk-4.7.4-1.fc16,kdetoys-4.7.4-1.fc16,kdeutils-4.7.4-1.fc16,kgamma-4.7.4-1.fc16,kgeography-4.7.4-1.fc16,khangman-4.7.4-1.fc16,kig-4.7.4-1.fc16,kiten-4.7.4-1.fc16,klettres-4.7.4-1.fc16,kmplot-4.7.4-1.fc16,kolourpaint-4.7.4-1.fc16,konsole-4.7.4-1.fc16,kross-interpreters-4.7.4-1.fc16,kruler-4.7.4-1.fc16,ksaneplugin-4.7.4-1.fc16,ksnapshot-4.7.4-1.fc16,kstars-4.7.4-1.fc16,ktouch-4.7.4-1.fc16,kturtle-4.7.4-1.fc16,kwordquiz-4.7.4-1.fc16,libkdcraw-4.7.4-1.fc16,libkdeedu-4.7.4-1.fc16,libkexiv2-4.7.4-1.fc16,libkipi-4.7.4-1.fc16,libksane-4.7.4-1.fc16,marble-4.7.4-1.fc16,okular-4.7.4-1.fc16,oxygen-icon-theme-4.7.4-1.fc16,parley-4.7.4-1.fc16,rocs-4.7.4-1.fc16,smokegen-4.7.4-1.fc16,smokekde-4.7.4-1.fc16,smokeqt-4.7.4-1.fc16,step-4.7.4-1.fc16,svgpart-4.7.4-1.fc16
then log in and leave karma (feedback).

Comment 8 Jeff Bastian 2011-12-12 22:13:19 UTC
konsole fonts are still cut off with the test package konsole-4.7.4-1.fc16.x86_64

Comment 9 Fedora Update System 2011-12-13 21:58:01 UTC
Package kdeedu-4.7.4-1.fc16, kdegames-4.7.4-1.fc16, kdegraphics-4.7.4-1.fc16, kdegraphics-strigi-analyzer-4.7.4-1.fc16, kdegraphics-thumbnailers-4.7.4-1.fc16, kdelibs-4.7.4-1.fc16, kdemultimedia-4.7.4-1.fc16, kdenetwork-4.7.4-1.fc16, kdepim-4.7.4-1.fc16, kdepim-runtime-4.7.4-1.fc16, kdepimlibs-4.7.4-1.fc16, kdeplasma-addons-4.7.4-1.fc16, PyKDE4-4.7.4-1.fc16, blinken-4.7.4-1.fc16, cantor-4.7.4-1.fc16, gwenview-4.7.4-1.fc16, kalgebra-4.7.4-1.fc16, kalzium-4.7.4-1.fc16, kamera-4.7.4-1.fc16, kanagram-4.7.4-1.fc16, kate-4.7.4-1.fc16, kbruch-4.7.4-1.fc16, kcolorchooser-4.7.4-1.fc16, kde-wallpapers-4.7.4-1.fc16, kdeaccessibility-4.7.4-1.fc16, kdeadmin-4.7.4-1.fc16, kdeartwork-4.7.4-1.fc16, kdebase-runtime-4.7.4-1.fc16, kdesdk-4.7.4-1.fc16, kdetoys-4.7.4-1.fc16, kdeutils-4.7.4-1.fc16, kgamma-4.7.4-1.fc16, kgeography-4.7.4-1.fc16, khangman-4.7.4-1.fc16, kig-4.7.4-1.fc16, kiten-4.7.4-1.fc16, klettres-4.7.4-1.fc16, kmplot-4.7.4-1.fc16, kolourpaint-4.7.4-1.fc16, konsole-4.7.4-1.fc16, kross-interpreters-4.7.4-1.fc16, kruler-4.7.4-1.fc16, ksaneplugin-4.7.4-1.fc16, ksnapshot-4.7.4-1.fc16, kstars-4.7.4-1.fc16, ktouch-4.7.4-1.fc16, kturtle-4.7.4-1.fc16, kwordquiz-4.7.4-1.fc16, libkdcraw-4.7.4-1.fc16, libkdeedu-4.7.4-1.fc16, libkexiv2-4.7.4-1.fc16, libkipi-4.7.4-1.fc16, libksane-4.7.4-1.fc16, marble-4.7.4-1.fc16, okular-4.7.4-1.fc16, oxygen-icon-theme-4.7.4-1.fc16, parley-4.7.4-1.fc16, rocs-4.7.4-1.fc16, smokegen-4.7.4-1.fc16, smokekde-4.7.4-1.fc16, smokeqt-4.7.4-1.fc16, step-4.7.4-1.fc16, svgpart-4.7.4-1.fc16, kde-l10n-4.7.4-1.fc16, kdebase-4.7.4-2.fc16, kdebase-workspace-4.7.4-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdeedu-4.7.4-1.fc16 kdegames-4.7.4-1.fc16 kdegraphics-4.7.4-1.fc16 kdegraphics-strigi-analyzer-4.7.4-1.fc16 kdegraphics-thumbnailers-4.7.4-1.fc16 kdelibs-4.7.4-1.fc16 kdemultimedia-4.7.4-1.fc16 kdenetwork-4.7.4-1.fc16 kdepim-4.7.4-1.fc16 kdepim-runtime-4.7.4-1.fc16 kdepimlibs-4.7.4-1.fc16 kdeplasma-addons-4.7.4-1.fc16 PyKDE4-4.7.4-1.fc16 blinken-4.7.4-1.fc16 cantor-4.7.4-1.fc16 gwenview-4.7.4-1.fc16 kalgebra-4.7.4-1.fc16 kalzium-4.7.4-1.fc16 kamera-4.7.4-1.fc16 kanagram-4.7.4-1.fc16 kate-4.7.4-1.fc16 kbruch-4.7.4-1.fc16 kcolorchooser-4.7.4-1.fc16 kde-wallpapers-4.7.4-1.fc16 kdeaccessibility-4.7.4-1.fc16 kdeadmin-4.7.4-1.fc16 kdeartwork-4.7.4-1.fc16 kdebase-runtime-4.7.4-1.fc16 kdesdk-4.7.4-1.fc16 kdetoys-4.7.4-1.fc16 kdeutils-4.7.4-1.fc16 kgamma-4.7.4-1.fc16 kgeography-4.7.4-1.fc16 khangman-4.7.4-1.fc16 kig-4.7.4-1.fc16 kiten-4.7.4-1.fc16 klettres-4.7.4-1.fc16 kmplot-4.7.4-1.fc16 kolourpaint-4.7.4-1.fc16 konsole-4.7.4-1.fc16 kross-interpreters-4.7.4-1.fc16 kruler-4.7.4-1.fc16 ksaneplugin-4.7.4-1.fc16 ksnapshot-4.7.4-1.fc16 kstars-4.7.4-1.fc16 ktouch-4.7.4-1.fc16 kturtle-4.7.4-1.fc16 kwordquiz-4.7.4-1.fc16 libkdcraw-4.7.4-1.fc16 libkdeedu-4.7.4-1.fc16 libkexiv2-4.7.4-1.fc16 libkipi-4.7.4-1.fc16 libksane-4.7.4-1.fc16 marble-4.7.4-1.fc16 okular-4.7.4-1.fc16 oxygen-icon-theme-4.7.4-1.fc16 parley-4.7.4-1.fc16 rocs-4.7.4-1.fc16 smokegen-4.7.4-1.fc16 smokekde-4.7.4-1.fc16 smokeqt-4.7.4-1.fc16 step-4.7.4-1.fc16 svgpart-4.7.4-1.fc16 kde-l10n-4.7.4-1.fc16 kdebase-4.7.4-2.fc16 kdebase-workspace-4.7.4-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16889/kde-l10n-4.7.4-1.fc16,PyKDE4-4.7.4-1.fc16,blinken-4.7.4-1.fc16,cantor-4.7.4-1.fc16,gwenview-4.7.4-1.fc16,kalgebra-4.7.4-1.fc16,kalzium-4.7.4-1.fc16,kamera-4.7.4-1.fc16,kanagram-4.7.4-1.fc16,kate-4.7.4-1.fc16,kbruch-4.7.4-1.fc16,kcolorchooser-4.7.4-1.fc16,kde-wallpapers-4.7.4-1.fc16,kdeaccessibility-4.7.4-1.fc16,kdeadmin-4.7.4-1.fc16,kdeartwork-4.7.4-1.fc16,kdebase-4.7.4-2.fc16,kdebase-runtime-4.7.4-1.fc16,kdebase-workspace-4.7.4-3.fc16,kdeedu-4.7.4-1.fc16,kdegames-4.7.4-1.fc16,kdegraphics-4.7.4-1.fc16,kdegraphics-strigi-analyzer-4.7.4-1.fc16,kdegraphics-thumbnailers-4.7.4-1.fc16,kdelibs-4.7.4-1.fc16,kdemultimedia-4.7.4-1.fc16,kdenetwork-4.7.4-1.fc16,kdepim-4.7.4-1.fc16,kdepim-runtime-4.7.4-1.fc16,kdepimlibs-4.7.4-1.fc16,kdeplasma-addons-4.7.4-1.fc16,kdesdk-4.7.4-1.fc16,kdetoys-4.7.4-1.fc16,kdeutils-4.7.4-1.fc16,kgamma-4.7.4-1.fc16,kgeography-4.7.4-1.fc16,khangman-4.7.4-1.fc16,kig-4.7.4-1.fc16,kiten-4.7.4-1.fc16,klettres-4.7.4-1.fc16,kmplot-4.7.4-1.fc16,kolourpaint-4.7.4-1.fc16,konsole-4.7.4-1.fc16,kross-interpreters-4.7.4-1.fc16,kruler-4.7.4-1.fc16,ksaneplugin-4.7.4-1.fc16,ksnapshot-4.7.4-1.fc16,kstars-4.7.4-1.fc16,ktouch-4.7.4-1.fc16,kturtle-4.7.4-1.fc16,kwordquiz-4.7.4-1.fc16,libkdcraw-4.7.4-1.fc16,libkdeedu-4.7.4-1.fc16,libkexiv2-4.7.4-1.fc16,libkipi-4.7.4-1.fc16,libksane-4.7.4-1.fc16,marble-4.7.4-1.fc16,okular-4.7.4-1.fc16,oxygen-icon-theme-4.7.4-1.fc16,parley-4.7.4-1.fc16,rocs-4.7.4-1.fc16,smokegen-4.7.4-1.fc16,smokekde-4.7.4-1.fc16,smokeqt-4.7.4-1.fc16,step-4.7.4-1.fc16,svgpart-4.7.4-1.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-12-14 23:36:02 UTC
Package kdeedu-4.7.4-1.fc16, kdegames-4.7.4-1.fc16, kdegraphics-4.7.4-1.fc16, kdegraphics-strigi-analyzer-4.7.4-1.fc16, kdegraphics-thumbnailers-4.7.4-1.fc16, kdelibs-4.7.4-1.fc16, kdemultimedia-4.7.4-1.fc16, kdenetwork-4.7.4-1.fc16, kdepim-4.7.4-1.fc16, kdepim-runtime-4.7.4-1.fc16, kdepimlibs-4.7.4-1.fc16, kdeplasma-addons-4.7.4-1.fc16, PyKDE4-4.7.4-1.fc16, blinken-4.7.4-1.fc16, cantor-4.7.4-1.fc16, gwenview-4.7.4-1.fc16, kalgebra-4.7.4-1.fc16, kalzium-4.7.4-1.fc16, kamera-4.7.4-1.fc16, kanagram-4.7.4-1.fc16, kate-4.7.4-1.fc16, kbruch-4.7.4-1.fc16, kcolorchooser-4.7.4-1.fc16, kde-wallpapers-4.7.4-1.fc16, kdeaccessibility-4.7.4-1.fc16, kdeadmin-4.7.4-1.fc16, kdeartwork-4.7.4-1.fc16, kdesdk-4.7.4-1.fc16, kdetoys-4.7.4-1.fc16, kdeutils-4.7.4-1.fc16, kgamma-4.7.4-1.fc16, kgeography-4.7.4-1.fc16, khangman-4.7.4-1.fc16, kig-4.7.4-1.fc16, kiten-4.7.4-1.fc16, klettres-4.7.4-1.fc16, kmplot-4.7.4-1.fc16, kolourpaint-4.7.4-1.fc16, konsole-4.7.4-1.fc16, kross-interpreters-4.7.4-1.fc16, kruler-4.7.4-1.fc16, ksaneplugin-4.7.4-1.fc16, ksnapshot-4.7.4-1.fc16, kstars-4.7.4-1.fc16, ktouch-4.7.4-1.fc16, kturtle-4.7.4-1.fc16, kwordquiz-4.7.4-1.fc16, libkdcraw-4.7.4-1.fc16, libkdeedu-4.7.4-1.fc16, libkexiv2-4.7.4-1.fc16, libkipi-4.7.4-1.fc16, libksane-4.7.4-1.fc16, marble-4.7.4-1.fc16, okular-4.7.4-1.fc16, oxygen-icon-theme-4.7.4-1.fc16, parley-4.7.4-1.fc16, rocs-4.7.4-1.fc16, smokegen-4.7.4-1.fc16, smokekde-4.7.4-1.fc16, smokeqt-4.7.4-1.fc16, step-4.7.4-1.fc16, svgpart-4.7.4-1.fc16, kde-l10n-4.7.4-1.fc16, kdebase-4.7.4-2.fc16, kdebase-runtime-4.7.4-2.fc16, kdebase-workspace-4.7.4-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdeedu-4.7.4-1.fc16 kdegames-4.7.4-1.fc16 kdegraphics-4.7.4-1.fc16 kdegraphics-strigi-analyzer-4.7.4-1.fc16 kdegraphics-thumbnailers-4.7.4-1.fc16 kdelibs-4.7.4-1.fc16 kdemultimedia-4.7.4-1.fc16 kdenetwork-4.7.4-1.fc16 kdepim-4.7.4-1.fc16 kdepim-runtime-4.7.4-1.fc16 kdepimlibs-4.7.4-1.fc16 kdeplasma-addons-4.7.4-1.fc16 PyKDE4-4.7.4-1.fc16 blinken-4.7.4-1.fc16 cantor-4.7.4-1.fc16 gwenview-4.7.4-1.fc16 kalgebra-4.7.4-1.fc16 kalzium-4.7.4-1.fc16 kamera-4.7.4-1.fc16 kanagram-4.7.4-1.fc16 kate-4.7.4-1.fc16 kbruch-4.7.4-1.fc16 kcolorchooser-4.7.4-1.fc16 kde-wallpapers-4.7.4-1.fc16 kdeaccessibility-4.7.4-1.fc16 kdeadmin-4.7.4-1.fc16 kdeartwork-4.7.4-1.fc16 kdesdk-4.7.4-1.fc16 kdetoys-4.7.4-1.fc16 kdeutils-4.7.4-1.fc16 kgamma-4.7.4-1.fc16 kgeography-4.7.4-1.fc16 khangman-4.7.4-1.fc16 kig-4.7.4-1.fc16 kiten-4.7.4-1.fc16 klettres-4.7.4-1.fc16 kmplot-4.7.4-1.fc16 kolourpaint-4.7.4-1.fc16 konsole-4.7.4-1.fc16 kross-interpreters-4.7.4-1.fc16 kruler-4.7.4-1.fc16 ksaneplugin-4.7.4-1.fc16 ksnapshot-4.7.4-1.fc16 kstars-4.7.4-1.fc16 ktouch-4.7.4-1.fc16 kturtle-4.7.4-1.fc16 kwordquiz-4.7.4-1.fc16 libkdcraw-4.7.4-1.fc16 libkdeedu-4.7.4-1.fc16 libkexiv2-4.7.4-1.fc16 libkipi-4.7.4-1.fc16 libksane-4.7.4-1.fc16 marble-4.7.4-1.fc16 okular-4.7.4-1.fc16 oxygen-icon-theme-4.7.4-1.fc16 parley-4.7.4-1.fc16 rocs-4.7.4-1.fc16 smokegen-4.7.4-1.fc16 smokekde-4.7.4-1.fc16 smokeqt-4.7.4-1.fc16 step-4.7.4-1.fc16 svgpart-4.7.4-1.fc16 kde-l10n-4.7.4-1.fc16 kdebase-4.7.4-2.fc16 kdebase-runtime-4.7.4-2.fc16 kdebase-workspace-4.7.4-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16889/kde-l10n-4.7.4-1.fc16,PyKDE4-4.7.4-1.fc16,blinken-4.7.4-1.fc16,cantor-4.7.4-1.fc16,gwenview-4.7.4-1.fc16,kalgebra-4.7.4-1.fc16,kalzium-4.7.4-1.fc16,kamera-4.7.4-1.fc16,kanagram-4.7.4-1.fc16,kate-4.7.4-1.fc16,kbruch-4.7.4-1.fc16,kcolorchooser-4.7.4-1.fc16,kde-wallpapers-4.7.4-1.fc16,kdeaccessibility-4.7.4-1.fc16,kdeadmin-4.7.4-1.fc16,kdeartwork-4.7.4-1.fc16,kdebase-4.7.4-2.fc16,kdebase-runtime-4.7.4-2.fc16,kdebase-workspace-4.7.4-5.fc16,kdeedu-4.7.4-1.fc16,kdegames-4.7.4-1.fc16,kdegraphics-4.7.4-1.fc16,kdegraphics-strigi-analyzer-4.7.4-1.fc16,kdegraphics-thumbnailers-4.7.4-1.fc16,kdelibs-4.7.4-1.fc16,kdemultimedia-4.7.4-1.fc16,kdenetwork-4.7.4-1.fc16,kdepim-4.7.4-1.fc16,kdepim-runtime-4.7.4-1.fc16,kdepimlibs-4.7.4-1.fc16,kdeplasma-addons-4.7.4-1.fc16,kdesdk-4.7.4-1.fc16,kdetoys-4.7.4-1.fc16,kdeutils-4.7.4-1.fc16,kgamma-4.7.4-1.fc16,kgeography-4.7.4-1.fc16,khangman-4.7.4-1.fc16,kig-4.7.4-1.fc16,kiten-4.7.4-1.fc16,klettres-4.7.4-1.fc16,kmplot-4.7.4-1.fc16,kolourpaint-4.7.4-1.fc16,konsole-4.7.4-1.fc16,kross-interpreters-4.7.4-1.fc16,kruler-4.7.4-1.fc16,ksaneplugin-4.7.4-1.fc16,ksnapshot-4.7.4-1.fc16,kstars-4.7.4-1.fc16,ktouch-4.7.4-1.fc16,kturtle-4.7.4-1.fc16,kwordquiz-4.7.4-1.fc16,libkdcraw-4.7.4-1.fc16,libkdeedu-4.7.4-1.fc16,libkexiv2-4.7.4-1.fc16,libkipi-4.7.4-1.fc16,libksane-4.7.4-1.fc16,marble-4.7.4-1.fc16,okular-4.7.4-1.fc16,oxygen-icon-theme-4.7.4-1.fc16,parley-4.7.4-1.fc16,rocs-4.7.4-1.fc16,smokegen-4.7.4-1.fc16,smokekde-4.7.4-1.fc16,smokeqt-4.7.4-1.fc16,step-4.7.4-1.fc16,svgpart-4.7.4-1.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-12-21 17:04:12 UTC
kdeedu-4.7.4-1.fc16, kdegames-4.7.4-1.fc16, kdegraphics-4.7.4-1.fc16, kdegraphics-strigi-analyzer-4.7.4-1.fc16, kdegraphics-thumbnailers-4.7.4-1.fc16, kdelibs-4.7.4-1.fc16, kdenetwork-4.7.4-1.fc16, kdepim-4.7.4-1.fc16, kdepim-runtime-4.7.4-1.fc16, kdeplasma-addons-4.7.4-1.fc16, PyKDE4-4.7.4-1.fc16, blinken-4.7.4-1.fc16, cantor-4.7.4-1.fc16, gwenview-4.7.4-1.fc16, kalgebra-4.7.4-1.fc16, kalzium-4.7.4-1.fc16, kamera-4.7.4-1.fc16, kanagram-4.7.4-1.fc16, kate-4.7.4-1.fc16, kbruch-4.7.4-1.fc16, kcolorchooser-4.7.4-1.fc16, kde-wallpapers-4.7.4-1.fc16, kdeaccessibility-4.7.4-1.fc16, kdeadmin-4.7.4-1.fc16, kdeartwork-4.7.4-1.fc16, kdesdk-4.7.4-1.fc16, kdetoys-4.7.4-1.fc16, kdeutils-4.7.4-1.fc16, kgamma-4.7.4-1.fc16, kgeography-4.7.4-1.fc16, khangman-4.7.4-1.fc16, kig-4.7.4-1.fc16, kiten-4.7.4-1.fc16, klettres-4.7.4-1.fc16, kmplot-4.7.4-1.fc16, kolourpaint-4.7.4-1.fc16, konsole-4.7.4-1.fc16, kross-interpreters-4.7.4-1.fc16, kruler-4.7.4-1.fc16, ksaneplugin-4.7.4-1.fc16, ksnapshot-4.7.4-1.fc16, kstars-4.7.4-1.fc16, ktouch-4.7.4-1.fc16, kturtle-4.7.4-1.fc16, kwordquiz-4.7.4-1.fc16, libkdcraw-4.7.4-1.fc16, libkdeedu-4.7.4-1.fc16, libkexiv2-4.7.4-1.fc16, libkipi-4.7.4-1.fc16, libksane-4.7.4-1.fc16, marble-4.7.4-1.fc16, okular-4.7.4-1.fc16, oxygen-icon-theme-4.7.4-1.fc16, parley-4.7.4-1.fc16, rocs-4.7.4-1.fc16, smokegen-4.7.4-1.fc16, smokekde-4.7.4-1.fc16, smokeqt-4.7.4-1.fc16, step-4.7.4-1.fc16, svgpart-4.7.4-1.fc16, kde-l10n-4.7.4-1.fc16, kdebase-4.7.4-2.fc16, kdebase-runtime-4.7.4-2.fc16, kdebase-workspace-4.7.4-5.fc16, kdemultimedia-4.7.4-2.fc16, kdepimlibs-4.7.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Jeff Bastian 2011-12-21 17:19:32 UTC
As noted in comment 8, this is not fixed yet.  Re-opening.

Comment 13 Alexander Vasiljev 2011-12-26 17:00:54 UTC
confirming the bug

Comment 14 Fedora Update System 2011-12-28 03:41:07 UTC
konsole-4.7.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/konsole-4.7.4-2.fc16

Comment 15 Fedora Update System 2011-12-28 22:19:58 UTC
Package konsole-4.7.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing konsole-4.7.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17507/konsole-4.7.4-2.fc16
then log in and leave karma (feedback).

Comment 16 Rex Dieter 2012-01-06 14:26:08 UTC
I'm seeing an interesting side-effect while testing myself before pushing this patch upstream...

Using terminus font (in yakuake), I now see some characters get chopped off at the top.  like ~ and ^

anyone else experience that?

Comment 17 Rex Dieter 2012-01-06 14:28:43 UTC
OK, seems to only happen when using terminus @ 11pt

Comment 18 Jeff Bastian 2012-01-06 15:16:21 UTC
Same here: Terminus 9pt looks ok with ^ and ~, but 11pt the tops are chopped off.

Comment 19 Rex Dieter 2012-01-06 16:08:19 UTC
OK, that all said, I still think this patch is "right thing do do(tm)", even if it seems to expose some other bugs/side-effects (which may need to be dealt with separately).

Comment 20 Fedora Update System 2012-01-11 20:51:06 UTC
konsole-4.7.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Christian 2012-01-13 22:26:10 UTC
I have the same descenders-cut-off problem, but with the standard Courier font. All was well on F15. I am using konsole-4.7.4-2.fc16.i686. Is this the same bug, or do I need to open a new report?

Comment 22 Red Hat Bugzilla 2013-10-04 00:21:46 UTC
Removing external tracker bug with the id '22270' as it is not valid for this tracker


Note You need to log in before you can comment on or make changes to this bug.